export declare class Reset {
  private resetEmailFormId;
  private resetPasswordFormId;
  resetRequested: boolean;
  resetWithToken: boolean;
  resetCompleted: boolean;
  token: any;
  formEventHandler({ detail }: {
    detail: any;
  }): Promise<void>;
  componentDidRender(): Promise<void>;
  requestReset(detail: any): Promise<void>;
  resetPassword(detail: any): Promise<void>;
  render(): any;
}
